#include <stdio.h>
#include <stdlib.h>

void swap(int &x,int &y) // Using reference. | It's not using in standart C. It's the properties of C++.
{
    int temp;
    temp=x;
    x=y;
    y=temp;
}

int main()
{
    int a=5;
    int b=6;

    printf("%d %d\n",a,b);
    swap(a,b);
    printf("%d %d",a,b);

    return 0;
}
